SystemOrganization addCategory: #'Pier-PictureLink'!

!PRViewRenderer methodsFor: '*pier-picturelink' stamp: 'kph 8/3/2007 00:30'!
visitPictureLink: anObject
	| file url anchor |
	file := anObject file ifNil: [ ^ self ].
	url := file urlOn: html.
	
	anchor := html anchor.
	anObject target ifNotNil: [
		anchor	goto: (self context structure: anObject target)
	].
	anObject linkUrl ifNotNil: [
		anchor url: anObject linkUrl
	].	
	anchor with: [ html image url: url; altText: (anObject tooltip ifNil: [ anObject title ])].

	! !

PRFile subclass: #PRPictureLink
	instanceVariableNames: 'target linkUrl tooltip'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-PictureLink'!

!PRPictureLink class methodsFor: 'as yet unclassified' stamp: 'kph 8/3/2007 00:06'!
descriptionFile
	^ super descriptionFile
		label: 'Image File';
 		addCondition: [:v |  v isImage ] labelled: 'Image expected';
		yourself ! !

!PRPictureLink class methodsFor: 'as yet unclassified' stamp: 'kph 8/3/2007 00:04'!
descriptionLinkUrl
	^ MAStringDescription new
		selectorAccessor: #linkUrl;
		priority: 200;
		label: 'Link To Url';
		beEditable;
		yourself! !

!PRPictureLink class methodsFor: 'as yet unclassified' stamp: 'kph 8/3/2007 00:04'!
descriptionTarget
	^ PRStructureDescription new
		selectorAccessor: #target;
		label: 'Link To Page';
		priority: 150;
		beEditable;
		yourself! !

!PRPictureLink class methodsFor: 'as yet unclassified' stamp: 'kph 8/3/2007 00:22'!
descriptionTooltip
	^ MAStringDescription new
		selectorAccessor: #tooltip;
		priority: 190;
		label: 'Tooltip';
		beEditable;
		yourself! !

!PRPictureLink class methodsFor: 'as yet unclassified' stamp: 'kph 8/2/2007 23:55'!
nondescriptionPage
	^ MASingleOptionDescription new
		selectorAccessor: #page;
		label: 'Click Goes To Page:';
		priority: 210;
		"default: [PRStructure withAllConcreteClasses] asDynamicObject;"
		options: [ (PRKernel current root enumerator all: true; contents) collect: [:p | p name ] ] asDynamicObject;
		comment: 'Choose the destination of a click on the image';
		"componentClass: MACheckboxGroupComponent;"
		reference: MAStringDescription new;
		"default: self defaultFilter;"
		yourself
		
	"
	((PRKernel instanceNamed: 'Pier') root enumerator all: true; contents) collect: [:p | p title ]
	
	
	"! !

!PRPictureLink methodsFor: 'accessing' stamp: 'kph 8/2/2007 23:39'!
accept: aVisitor
	aVisitor visitPictureLink: self! !

!PRPictureLink methodsFor: 'accessing' stamp: 'kph 8/2/2007 23:29'!
linkUrl
	"Answer the value of linkUrl"

	^ linkUrl! !

!PRPictureLink methodsFor: 'accessing' stamp: 'kph 8/2/2007 23:29'!
linkUrl: anObject
	"Set the value of linkUrl"

	linkUrl := anObject! !

!PRPictureLink methodsFor: 'accessing' stamp: 'kph 8/2/2007 23:46'!
target
	"Answer the value of target"

	^ target! !

!PRPictureLink methodsFor: 'accessing' stamp: 'kph 8/2/2007 23:46'!
target: anObject
	"Set the value of target"

	target := anObject! !

!PRPictureLink methodsFor: 'accessing' stamp: 'kph 8/3/2007 00:21'!
tooltip
	"Answer the value of tooltip"

	^ tooltip! !

!PRPictureLink methodsFor: 'accessing' stamp: 'kph 8/3/2007 00:21'!
tooltip: anObject
	"Set the value of tooltip"

	tooltip := anObject! !

!PRVisitor methodsFor: '*pier-picturelink' stamp: 'kph 8/2/2007 23:40'!
visitPictureLink: anObject
	self visitFile: anObject! !
